EnterpriseLibrary.PolicyInjection.NetCore by Mohammad Chavoshi

<PackageReference Include="EnterpriseLibrary.PolicyInjection.NetCore" Version="6.0.1312" />

 EnterpriseLibrary.PolicyInjection.NetCore 6.0.1312

The Enterprise Library Policy Injection Application Block can be used to change the behavior of any .NET objects, in order to better manage crosscutting concerns for these objects. The policy injection is implemented through the Unity interception mechanism. The package includes call handlers for Logging, Validation and Exception Handling. This library contains a class library that targets .Net Core 2.0 & .Net Standard 2.0.

<package xmlns="http://schemas.microsoft.com/packaging/2013/05/nuspec.xsd">
  <metadata>
    <id>EnterpriseLibrary.PolicyInjection.NetCore</id>
    <version>6.0.1312</version>
    <title>Enterprise Library - Policy Injection Application Block for for .Net Core &amp; .Net Standard</title>
    <authors>Mohammad Chavoshi</authors>
    <owners>Mohammad Chavoshi</owners>
    <requireLicenseAcceptance>true</requireLicenseAcceptance>
    <licenseUrl>http://opensource.org/licenses/Apache-2.0</licenseUrl>
    <projectUrl>https://github.com/Chavoshi/EnterpriseLibrary.NetCore</projectUrl>
    <iconUrl>https://nuget.org/Media/Default/Packages/Unity/2.0/entlib_new_icon_100x100.png</iconUrl>
    <description>The Enterprise Library Policy Injection Application Block can be used to change the behavior of any .NET objects, in order to better manage crosscutting concerns for these objects. The policy injection is implemented through the Unity interception mechanism. The package includes call handlers for Logging, Validation and Exception Handling. This library contains a class library that targets .Net Core 2.0 &amp; .Net Standard 2.0.</description>
    <tags>entlib entlib6 Enterprise Library PIAB policy injection interception aop aspect cross cutting LOB NetCore NetStandard</tags>
    <dependencies>
      <group targetFramework=".NETStandard2.0">
        <dependency id="EnterpriseLibrary.ExceptionHandling.NetCore" version="6.0.1312" exclude="Build,Analyzers" />
        <dependency id="EnterpriseLibrary.Logging.NetCore" version="6.0.1312" exclude="Build,Analyzers" />
        <dependency id="EnterpriseLibrary.Validation.NetCore" version="6.0.1312" exclude="Build,Analyzers" />
        <dependency id="EnterpriseLibrary.Common.NetCore" version="6.0.1312" exclude="Build,Analyzers" />
        <dependency id="Unity.Interception.NetCore" version="4.0.4" exclude="Build,Analyzers" />
        <dependency id="System.Configuration.ConfigurationManager" version="4.4.0" exclude="Build,Analyzers" />
      </group>
    </dependencies>
  </metadata>
</package>